Loading...
Searching...
No Matches
TrcTrackSetStatistic Class Reference

Class representing a Track Set statistic, i.e. More...

Inheritance diagram for TrcTrackSetStatistic:

## Public Member Functions

| TrcTrackSetStatistic ()
| Constructor.
virtual | ~TrcTrackSetStatistic ()
| Destructor, frees memory.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of component.
virtual OFCondition | set (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode, const Float64 statisticValue)
| Set Track Set statistic.
virtual OFCondition | get (CodeSequenceMacro &typeCode, CodeSequenceMacro &typeModifierCode, CodeSequenceMacro &unitsCode, Float64 &statisticValue)
| Get Track Set statistic information.
virtual OFCondition | get (CodeSequenceMacro &typeCode, CodeSequenceMacro &typeModifierCode, CodeSequenceMacro &unitsCode)
| Get descriptive information of statistic.
Public Member Functions inherited from TrcStatistic
| TrcStatistic ()
| Constructor.
virtual | ~TrcStatistic ()
| Destructor, frees memory.
virtual void | clearData ()
| Clears all data.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Static Public Member Functions

static OFCondition | create (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode, const Float64 statisticValue, TrcTrackSetStatistic *&statistic)
| Create track statistic by providing the required information.
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.

## Additional Inherited Members

Protected Member Functions inherited from TrcStatistic
virtual OFCondition | setCommon (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode)
| Set descriptive information of statistic.
Protected Attributes inherited from TrcStatistic
CodeSequenceMacro | m_Type
| Single item from Concept Name Code Sequence.
CodeSequenceMacro | m_TypeModifier
| Single item from Modifier Code Sequence.
CodeSequenceMacro | m_Units
| Single item from Unit Code Sequence.
OFVector< Float32 * > | m_Values
| Floating Point Value(s), one for each Track in Track Set (for Track Statistic), or a single value in case of Track Set Statistic.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing a Track Set statistic, i.e.

a single statistic value that is amended by information about type of statistic, region of interest it as well as physical unit of the value. A Track Set can define 0 or more statistics.

## Member Function Documentation

## create()

OFCondition TrcTrackSetStatistic::create | ( | const CodeSequenceMacro & | typeCode,
|  | const CodeSequenceMacro & | typeModifierCode,
|  | const CodeSequenceMacro & | unitsCode,
|  | const Float64 | statisticValue,
|  | TrcTrackSetStatistic *& | statistic )

static

Create track statistic by providing the required information.

Parameters

  typeCode | The value for which the statistic is a summary. DICOM prescribes code from CID 7263 "Diffusion Tractography Measurement Types"
  typeModifierCode | The region of interest of the statistic. DICOM prescribes code from CID 7464 "General Region of Interest Measurement Modifiers"
  unitsCode | The physical units of the statistic value. DICOM prescribes code from CID 82 "Measurement Unit".
  statisticValue | The statistic value
  statistic | Returns the resulting TrcTrackSetStatistic object (NULL in case of any error)

Returns
  EC_Normal if creation was successful, error otherwise

References TrcTrackSetStatistic().

## get() [1/2]

virtual OFCondition TrcStatistic::get | ( | CodeSequenceMacro & | typeCode,
|  | CodeSequenceMacro & | typeModifierCode,
|  | CodeSequenceMacro & | unitsCode )

virtual

Get descriptive information of statistic.

Parameters

  typeCode | Returns type of statistic
  typeModifierCode | Returns region of interest
  unitsCode | Returns physical units of the statistic value

Returns
  EC_Normal if getting was successful, error otherwise.

Reimplemented from TrcStatistic.

## get() [2/2]

virtual OFCondition TrcTrackSetStatistic::get | ( | CodeSequenceMacro & | typeCode,
|  | CodeSequenceMacro & | typeModifierCode,
|  | CodeSequenceMacro & | unitsCode,
|  | Float64 & | statisticValue )

virtual

Get Track Set statistic information.

Parameters

  typeCode | Returns value for which the statistic is a summary.
  typeModifierCode | Returns region of interest of the statistic.
  unitsCode | Returns physical units of the statistic value.
  statisticValue | Returns the statistic value

Returns
  EC_Normal if data could be retrieved, error otherwise

References TrcStatistic::get().

## getName()

virtual OFString TrcTrackSetStatistic::getName | ( |  | ) | const

virtual

Get name of component.

Returns
  Name of the module ("TrackSetStatisticsSequenceItem")

Implements IODComponent.

## read()

virtual OFCondition TrcTrackSetStatistic::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from TrcStatistic.

## set()

virtual OFCondition TrcTrackSetStatistic::set | ( | const CodeSequenceMacro & | typeCode,
|  | const CodeSequenceMacro & | typeModifierCode,
|  | const CodeSequenceMacro & | unitsCode,
|  | const Float64 | statisticValue )

virtual

Set Track Set statistic.

Parameters

  typeCode | The value for which the statistic is a summary. DICOM prescribes code from CID 7263 "Diffusion Tractography Measurement Types"
  typeModifierCode | The region of interest of the statistic. DICOM prescribes code from CID 7464 "General Region of Interest Measurement Modifiers"
  unitsCode | The physical units of the statistic value. DICOM prescribes code from CID 82 "Measurement Unit".
  statisticValue | The statistic value

Returns
  EC_Normal if setting was successful, error otherwise

## write()

virtual OFCondition TrcTrackSetStatistic::write | ( | DcmItem & | destination | ) |

virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from TrcStatistic.

The documentation for this class was generated from the following file:

- dcmtract/include/dcmtk/dcmtract/trcstatistic.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0